<template>
  <pie-chart v-if="dataSet.length !== 0" :dataSet="dataSet" :labelSet="labelSet"/>
</template>

<script>
import axios from "axios";
import PieChart from "@/components/PieChart";

export default {
  name: 'result',
  components: {
    PieChart
  },
  data: function() {
    return {
      poll: Object,
      pollId: this.$route.params.id,
      dataSet: [],
      labelSet: []
    }
  },
  methods: {
  },
  created: function() {
    axios.get(`http://127.0.0.1:3000/polls/${this.pollId}?_embed=answers`)
      .then((response) => {
        this.poll = response.data;
        return response
      })
      .then((response) => {
        for (let i = 0; i < response.data.answers.length; i++) {
          const answer = response.data.answers[i];
          this.dataSet.push(answer.count);
          this.labelSet.push(answer.text);
        }
      })
  }
}
</script>
